/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.resourcebundle.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.plugin.resourcebundle.resourcebundle.BlancoResourceBundleWizardResourceBundle;

/**
 * リソースバンドル定義書からプロパティファイルおよびアクセサJavaソースコードを生成する Eclipseプラグインのウィザードです。
 * 
 * このソースコードはblancoResourceBundleの一部です。<br>
 * 
 * @author IGA Tosiki
 */
public class BlancoResourceBundleWizardPage3 extends WizardPage {
    /**
     * リソースバンドルアクセサのインスタンス。
     */
    private BlancoResourceBundleWizardResourceBundle fBundleWizard = null;

    /**
     * ウィザードページクラスのコンストラクタ。
     * 
     * @param selection
     *            選択項目オブジェクト。
     */
    public BlancoResourceBundleWizardPage3(ISelection selection) {
        super("wizardPage");
        this.fBundleWizard = new BlancoResourceBundleWizardResourceBundle();
        setTitle(fBundleWizard.getPage03Title());
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE).setText(fBundleWizard.getPage03Msg001());
        new Label(container, SWT.NONE).setText(fBundleWizard.getPage03Msg002());
        new Label(container, SWT.NONE).setText(fBundleWizard.getPage03Msg003());
        new Label(container, SWT.NONE).setText(fBundleWizard.getPage03Msg004());
        new Label(container, SWT.NONE).setText(fBundleWizard.getPage03Msg005());

        setControl(container);
    }
}